Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6899 - xntpd screams verbosely about down peers/servers
Summary: xntpd screams verbosely about down peers/servers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xntp3
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-10 22:43 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-01-19 21:12:20 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-11-10 22:43:29 UTC
If you are peering with a machine that goes down, or that
stops running an NTP daemon, you will see screams in your
syslog of the form:
	xntpd[26005]: recvfrom() fd=7: Connection refused
Worse, these are logged with priority LOG_ERR, which is
supposed to mark fairly important problems.

 These exist because Linux + glibc return errors on
recvfrom() that are due to a previous UDP sendto() on
the same socket failing because of various detectable
problems. The xntp3 code is not expecting this to
happen, and thinks that these are real recvfrom()
errors.

 These syslog messages are annoying. I've developed a
patch to muzzle them for connection refused, host down,
and host/net unreachables, if people are interested.

Comment 1 Jeff Johnson 1999-11-10 22:48:59 UTC
Could you reply to this message with patch attached? Thanks ...

Comment 2 Preston Brown 2001-02-01 17:38:06 UTC
closed due to lack of additional feedback, and the fact that this is solved with
newer versions in currently available distributions of Red Hat Linux.


Note You need to log in before you can comment on or make changes to this bug.